Package org.apache.maven.scm.provider

## Class ScmProviderRepositoryWithHost

- java.lang.Object
- - org.apache.maven.scm.provider.ScmProviderRepository
  - - org.apache.maven.scm.provider.ScmProviderRepositoryWithHost

Direct Known Subclasses:
  `AccuRevScmProviderRepository`, `BazaarScmProviderRepository`, `CvsScmProviderRepository`, `GitScmProviderRepository`, `HgScmProviderRepository`, `PerforceScmProviderRepository`, `StarteamScmProviderRepository`, `SvnScmProviderRepository`

    public abstract class ScmProviderRepositoryWithHost
    extends ScmProviderRepository

Author:
  Emmanuel Venisse

### Constructor Summary

Constructors
`ScmProviderRepositoryWithHost()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getHost()`
`java.lang.String` `getPassphrase()`
`int` `getPort()`
`java.lang.String` `getPrivateKey()`
`void` `setHost​(java.lang.String host)`
`void` `setPassphrase​(java.lang.String passphrase)`
`void` `setPort​(int port)`
`void` `setPrivateKey​(java.lang.String privateKey)`

### Methods inherited from class org.apache.maven.scm.provider.ScmProviderRepository

`getParent, getPassword, getRelativePath, getUser, getWorkItem, isPersistCheckout, isPushChanges, setPassword, setPersistCheckout, setPushChanges, setUser, setWorkItem`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScmProviderRepositoryWithHost

    public ScmProviderRepositoryWithHost()

### Method Detail

#### getHost

    public java.lang.String getHost()

#### setHost

    public void setHost​(java.lang.String host)

#### getPort

    public int getPort()

#### setPort

    public void setPort​(int port)

#### getPrivateKey

    public java.lang.String getPrivateKey()

#### setPrivateKey

    public void setPrivateKey​(java.lang.String privateKey)

#### getPassphrase

    public java.lang.String getPassphrase()

#### setPassphrase

    public void setPassphrase​(java.lang.String passphrase)